供应商对账明细
POST
/basicOpen/purchase/supplierData/getSupplierPurchaseDataDetail按供应商查询采购对账明细,返回分页明细和当前筛选条件下的汇总数据。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/purchase/supplierData/getSupplierPurchaseDataDetail | HTTPS | POST | 1 |
请求参数
startDatestringendDatestringtimeTypeintegersearchFieldstringsearchValuestringwidstringbuyerUidstringsupplierIdinteger必填offsetinteger必填lengthinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/purchase/supplierData/getSupplierPurchaseDataDetail?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"supplierId": 10001,
"startDate": "2026-09-01",
"endDate": "2026-09-10",
"timeType": 1,
"offset": 0,
"length": 20
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
summaryobject隐藏子属性
purchaseQuantitystring必填receiveQuantitystring必填waitQuantitystring必填quantityDiffstring必填overReceiveNumstring必填exchangeQuantitystring必填returnQuantitystring必填goodQuantitystring必填badQuantitystring必填purchaseAmountstring必填receiveAmountstring必填waitAmountstring必填returnAmountstring必填deductionAmountstring必填purchaseAmountWithoutTaxstring必填receiveAmountWithoutTaxstring必填waitAmountWithoutTaxstring必填inboundPurchaseAmountWithoutTaxstring必填inboundReceiveAmountWithoutTaxstring必填listarray<object>必填隐藏子属性
rowIdstring必填orderSnstring必填customOrderSnstring必填itemIdinteger必填typeinteger必填typeNamestring必填sourceTypeinteger必填widinteger必填warehouseNamestring必填supplierIdinteger必填supplierNamestring必填buyerUidinteger必填buyerNamestring必填productIdinteger必填productNamestring必填spustring必填spuNamestring必填skustring必填mskustring必填fnskustring必填attributearray<object>必填隐藏子属性
attrNamestring必填attrValuestring必填sellerIdstring必填sellerNamestring必填countrystring必填purchaserNamestring必填purchaseCurrencystring必填settlementDescriptionstring必填createRealnamestring必填isGiftinteger必填purchaseQuantitystring必填receiveQuantitystring必填waitQuantitystring必填quantityDiffstring必填overReceiveNumstring必填goodQuantitystring必填badQuantitystring必填exchangeQuantitystring必填returnQuantitystring必填priceWithoutTaxstring必填pricestring必填purchaseAmountstring必填receiveAmountstring必填waitAmountstring必填deductionAmountstring必填purchaseAmountWithoutTaxstring必填receiveAmountWithoutTaxstring必填waitAmountWithoutTaxstring必填goodAmountstring必填payableAmountstring必填paidAmountstring必填discountAmountstring必填unpaidAmountstring必填applyingAmountstring必填notAppliedAmountstring必填operateTimestring必填qcListarray<object>必填隐藏子属性
qcSnstring必填customQcTimestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583",
"response_time": "2026-09-10 12:00:00",
"data": {
"summary": {
"purchaseQuantity": "100",
"receiveQuantity": "80",
"waitQuantity": "20",
"quantityDiff": "0",
"overReceiveNum": "0",
"exchangeQuantity": "0",
"returnQuantity": "0",
"goodQuantity": "80",
"badQuantity": "0",
"purchaseAmount": "1000.00",
"receiveAmount": "800.00",
"waitAmount": "200.00",
"returnAmount": "0.00",
"deductionAmount": "0.00",
"purchaseAmountWithoutTax": "884.96",
"receiveAmountWithoutTax": "707.96",
"waitAmountWithoutTax": "176.99",
"inboundPurchaseAmountWithoutTax": "884.96",
"inboundReceiveAmountWithoutTax": "707.96"
},
"list": [
{
"rowId": "900001",
"orderSn": "CG202609100001",
"customOrderSn": "CUSTOM001",
"itemId": 20001,
"type": 1,
"typeName": "采购单",
"sourceType": 1,
"wid": 1001,
"warehouseName": "深圳仓",
"supplierId": 10001,
"supplierName": "深圳市示例供应商有限公司",
"buyerUid": 10001,
"buyerName": "李四",
"productId": 30001,
"productName": "示例产品",
"spu": "SPU001",
"spuName": "示例款式",
"sku": "SKU001",
"msku": "MSKU001",
"fnsku": "FNSKU001",
"attribute": [
{
"attrName": "颜色",
"attrValue": "黑色"
}
],
"sellerId": "40001",
"sellerName": "示例店铺",
"country": "US",
"purchaserName": "示例采购方",
"purchaseCurrency": "CNY",
"settlementDescription": "月结",
"createRealname": "王五",
"isGift": 0,
"purchaseQuantity": "100",
"receiveQuantity": "80",
"waitQuantity": "20",
"quantityDiff": "0",
"overReceiveNum": "0",
"goodQuantity": "80",
"badQuantity": "0",
"exchangeQuantity": "0",
"returnQuantity": "0",
"priceWithoutTax": "8.8496",
"price": "10.0000",
"purchaseAmount": "1000.00",
"receiveAmount": "800.00",
"waitAmount": "200.00",
"deductionAmount": "0.00",
"purchaseAmountWithoutTax": "884.96",
"receiveAmountWithoutTax": "707.96",
"waitAmountWithoutTax": "176.99",
"goodAmount": "707.96",
"payableAmount": "800.00",
"paidAmount": "500.00",
"discountAmount": "0.00",
"unpaidAmount": "300.00",
"applyingAmount": "100.00",
"notAppliedAmount": "200.00",
"operateTime": "2026-09-10 12:00:00",
"qcList": [
{
"qcSn": "QC202609100001",
"customQcTime": "2026-09-10 11:00:00"
}
]
}
]
},
"total": 1
}
空数据说明
当筛选条件下没有明细数据时,data.summary 返回 null,data.list 返回空数组,total 返回 0。